;
; Load files matching lisp.d/*.el
;

(mapc
 (lambda (path) (load-file path))
 (file-expand-wildcards "~/.emacs.d/lisp.d/*.el" t)
)

;
; Load files
;
(mapc
 (lambda (path) (load-file path))
 '(
   "~/.emacs.d/variables.el"
 )
)
;
; Import required libraries
; Order matters
;
(mapc
 (lambda (library) (require library))
 '(
   scala-mode-auto
   ensime
   metaweblog
   xml-rpc
   org2blog-autoloads
 )
)
;
